#include <pthread.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

static float *v1, *v2;
static size_t sz;

static void *
f(void *arg)
{
	int i, start, end;
	float res;

	start = *(float *)arg > 0.0 ? 0 : sz / 2;
	end = *(float *)arg > 0.0 ? sz / 2 : sz;

	for (res = 0.0, i = start; i < end; i++)
		res += v1[i] * v2[i];

	*(float *)arg = res;
	return(NULL);
}

int
main(void)
{
	float in1, in2;
	pthread_t p1, p2;

	while (2 == scanf("%f,%f", &in1, &in2)) {
		v1 = realloc(v1, (sz + 1) * sizeof(float));
		v2 = realloc(v2, (sz + 1) * sizeof(float));
		v1[sz] = in1;
		v2[sz++] = in2;
	}

	in1 = -1.0;
	pthread_create(&p1, NULL, f, &in1);
	in2 = 1.0;
	pthread_create(&p2, NULL, f, &in2);

	pthread_join(p1, NULL);  
	pthread_join(p2, NULL);

	printf("%g\n", in1 + in2);

	free(v1); 
	free(v2);
	return(EXIT_SUCCESS);
}
